/*Block for compare table*/

.section--compare{
    max-width: 1128px;
    margin: 0 90px;
}


.section--flex-compare-binds{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 0.5rem;
}

.compare--tab-link{
    padding: 0.5rem 1rem;
    background: var(--white);
    border-radius: 32px;
    font-weight: 600;
    font-size: 14px;
    line-height: 22px;
    color: #767682;
}

.vertical--compare-flex{
    display: flex;
    flex-direction: column;
    gap: 2rem;
}

.compare--table-item{
    text-align: left;
}

.compare--table-item.separete-item{
    margin-bottom: -16px;
}

.compare--item-name{
    font-weight: 600;
    font-size: 20px;
    line-height: 30px;
    color: var(--heading-color);
}

.compare--table-item.item--small{
    .compare--item-name{
        font-weight: 600;
        font-size: 16px;
        line-height: 26px;
        color: var(--heading-color);
        margin-bottom: 1rem !important;
    }
}

.compare--list{
    position: relative;
    background: var(--white);
    border-radius: 12px;
}

.compare--horizontal-grid{
    display: grid;
    justify-content: space-between;
    align-items: center;
    grid-template-columns: 290px 204.6px 204.6px 204.6px 204.6px 204.6px;

    .col-name{
        padding: 1rem 0.3125rem 1rem 1rem;
        text-align: left;
        font-weight: 600;
        font-size: 14px;
        line-height: 22px;
        color: var(--heading-color);
        position: relative;
        display: -webkit-box;
        -webkit-box-orient: vertical;
        word-break: break-word;
    }

    .col-text-breakword{
        padding-right: 6px;
    }

    .col-text-breakword.text-dotted{
        text-decoration: underline;
        text-decoration-style: dotted;
        text-decoration-color: #969AA5;
        text-decoration-thickness: 5.5%;
    }

    .col-props{
        padding: 1rem 1.25rem;
        text-align: center;
        font-weight: 400;
        font-size: 14px;
        line-height: 22px;
        color: var(--heading-color);
        display: flex;
        justify-content: center;
        min-height: 54px;

        svg{
            display: flex;
            align-self: center;
        }
    }
}

.compare--horizontal-grid:not(:first-child){
    border-top: 1px solid #E6E9F2;
}

.sticky--head-block{
    position: sticky;
    top: 0;
    z-index: 1;
    background: var(--white);
    border-radius: 12px;
}

.sticky--head-grid{
    display: grid;
    justify-content: space-between;
    align-items: center;
    grid-template-columns: 290px 204.6px 204.6px 204.6px 204.6px 204.6px;
    position: relative;
    z-index: 2;
    min-height: 120px;
}

.sticky--head-block::before{
    height: 0;
    transition: height 0.5s ease;
}

.sticky--head-block.fixed{
    z-index: 6;
}

.sticky--head-block.fixed::before{
    content: "";
    display: block;
    top: 0;
    left: 0;
    z-index: 1;
    position: fixed;
    background: var(--white);
    height: 120px;
    width: 100%;
    box-shadow: 0px 4px 16px var(--header-shadow);
}

.property--sticker{
    padding: 4px 4px;
    border-radius: 4px;
    font-weight: 600;
    font-size: 9px;
    line-height: 12px;
    letter-spacing: 5%;
    text-transform: uppercase;
    background: #EDF0F7;
    color: #767682;
    text-box-trim: trim-both;
    text-box-edge: cap alphabetic;
}

.property--sticker.top{
    background: #AC3EC7;
    color: var(--white);
}

.property--sticker.blue{
    background: var(--brand-blue);
    color: var(--white);
}

.property--sticker.transparent{
    background: transparent;
}

.sticky--head-flex-name{
    padding: 1rem;
    text-align: left;
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    height: 100%;
    justify-content: space-between;
}

.sticky--head-select-plan{
    position: relative;
}

.sticky--head-select-value{
    background: #F5F7FC;
    padding: 6px 12px;
    border-radius: 32px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.select-flex{
    display: flex;
    align-items: center;
    gap: 0.5rem;
}

.select-title{
    font-weight: 600;
    font-size: 13px;
    line-height: 20px;
    color: #767682;
}

.sticky--head-name{
    font-weight: 600;
    font-size: 15px;
    line-height: 24px;
    color: var(--heading-color);
}

.sticky--head-select-absolute-options{
    position: absolute;
    width: 100%;
    padding: 6px;
    box-shadow: 0px 8px 32px 0px #0000001A;
    background: var(--white);
    border-radius: 12px;
    top: 40px;
}

.sticky--head-select-absolute-options.hidden-visible{
    visibility: hidden;
}

.sticky--head-select-option{
    padding: 6px 12px;
    border-radius: 8px;
}

.sticky--head-select-option.selected{
    background: #F0F2F8;
}

.col-head-tarriff{
    padding: 0 1rem;
}

.tariff_reg_btn-head{
    padding: 0.375rem 0.75rem !important;
    width: 100%;
    font-weight: 600 !important;
    font-size: 13px !important;
    line-height: 20px !important;
}

.col-head--name-flex{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 6px;
}

.tarrif_sticker{
    padding: 6px 5px;
    border-radius: 6px;
    background: #16CFAE;
    font-weight: 600;
    font-size: 11px;
    line-height: 15px;
    text-transform: uppercase;
    color: var(--white);
    text-box-trim: trim-both;
    text-box-edge: cap alphabetic;
}

.col-head--name{
    font-weight: 600;
    font-size: 15px;
    line-height: 24px;
    text-align: center;
    color: var(--heading-color);
}

.price--col-header{
    font-weight: 400;
    font-size: 14px;
    line-height: 22px;
    text-align: center;
    color: var(--text-color);
    white-space: nowrap;
}

.absolute--tooltip{
    position: absolute;

    .wrapper--tooltip{
        position: relative;

        .tooltip-text{
            width: fit-content;
            background-color: var(--heading-color);
            color: var(--white);
            text-align: center;
            font-size: 0.875rem;
            line-height: 1.375rem;
            padding: 0.75rem;
            border-radius: 4px;
            width: 280px;
            position: absolute;
            left: 50%;
            transform: translateX(-50%);
            bottom: calc(100% + 11px);
            z-index: 5;
        }

        .tooltip-text::before {
            content: "";
            width: 8px;
            margin-top: -4px;
            margin-left: -4px;
            position: absolute;
            top: 100%;
            left: 50%;
            transform: rotate(45deg);
            background-color: inherit;
            display: block;
            height: 8px
        }
    }

}

.btn--prices{
    padding: 14px 28px !important;
    font-weight: 600 !important;
    font-size: 18px !important;
    line-height: 28px !important;
    gap: calc(1rem - 4px);
}

@media (any-hover: hover) {
    .compare--tab-link:hover{
        background: #F0F2F8;
        color: var(--heading-color);
    }

    .compare--horizontal-grid:hover {
        cursor: pointer;
        background: #F5F7FC;
    }

    .compare--horizontal-grid:first-child:hover{
        border-radius: 12px 12px 0 0;
    }

    .compare--horizontal-grid:last-child:hover{
        border-radius: 0 0 12px 12px;
    }

    .compare--horizontal-grid:first-child:last-child:hover{
        border-radius: 12px;
    }

    .sticky--head-select-value:hover{
        cursor: pointer;
    }

    .sticky--head-select-absolute-options .sticky--head-select-option:hover{
        cursor: pointer;
    }
    .sticky--head-select-absolute-options .sticky--head-select-option:not(.selected):hover{
        background: #F5F7FC;
    }
}

@media (max-width: 1350px) {
    .sticky--head-grid,
    .compare--horizontal-grid{
        grid-template-columns: 22.17% repeat(5, 15.64%);
    }
}

@media (max-width: 945px) {
    .sticky--head-block.fixed::before{
        height: 124px;
    }
    .sticky--head-flex-name{
        gap: 0.5rem;
    }
}

@media (max-width: 895px) {
    .sticky--head-grid,
    .compare--horizontal-grid{
        overflow-x: auto;
        overflow-y: hidden;
        scrollbar-width: none;
        &::-webkit-scrollbar { display: none; }
    }

    .sticky--head-grid{
        grid-template-columns: 202px repeat(5, 125px);
    }

    .compare--horizontal-grid{
        grid-template-columns: 192px repeat(5, 125px);
    }


    .sticky--head-block{
        padding: 0;
        margin: 0 calc(-1 * 1rem);
    }

    .sticky--head-block.fixed::before{
        height: 120px;
    }


    .sticky--head-flex-name{
        padding: 1rem;
        gap: 0.5rem;
        height: 100%;
        justify-content: space-between;
    }

    .section--compare{
        padding: 0 1rem;
        margin: 0 calc(-1 * 1rem);
        overflow-x: auto;
        overflow-y: visible;
        scrollbar-width: none;
        &::-webkit-scrollbar { display: none; }
    }

    .section--flex-compare-binds{
        min-width: 933px;
        max-height: 130px;
        flex-wrap: wrap;
        justify-content: start;
    }

    .select-title{
        font-size: 13px;
        line-height: 20px;
    }

}


@media (max-width: 768px) {
    .sticky--head-grid{
        grid-template-columns: 172px repeat(5, 125px);
    }
    .compare--horizontal-grid{
        grid-template-columns: 172px repeat(5, 125px);
    }
    .vertical--compare-flex{
        margin-right: calc(-1* 1rem);
        margin-left: calc(-1*1rem);
    }
    .compare--list{
        border-radius: unset;
    }
    .compare--list.scroll--at-start{
        border-radius: 12px 0 0 12px;
    }
    .compare--list.scroll--at-end{
        border-radius: 0 12px 12px 0;
    }

    .sticky--head-block{
        border-radius: unset;
    }

    .sticky--head-block.scroll--at-start{
        border-radius: 12px 0 0 12px;
    }

    .sticky--head-block.scroll--at-end{
        border-radius: 0 12px 12px 0;
    }

    .absolute--tooltip{
        .tooltip-text{
            max-width: 230px;
        }
    }

    .btn--prices{
        gap: calc(1rem - 4px);
        padding: 11px 20px !important;
        font-weight: 600 !important;
        font-size: 16px !important;
        line-height: 26px !important;
    }

    .compare--item-name{
        padding-left: 1rem;
    }

    .sticky--head-select-value .select-flex{
        width: 80px;
        display: -webkit-box;
        -webkit-line-clamp: 1;
        -webkit-box-orient: vertical;
        overflow: hidden;
        text-overflow: ellipsis;
    }
}

@media (max-width: 600px) {
    .compare--item-name{
        color: #969AA5;
        font-size: 18px;
        line-height: 28px;
    }
    .sticky--head-grid{
        grid-template-columns: 172px repeat(5, 125px);
    }
    .compare--horizontal-grid{
        grid-template-columns: 172px repeat(5, 125px);
    }
}